﻿using System;
using System.Threading;
using AB3.Interfaces;

namespace AB3.TestClock
{
    public class ClockPart: IInitialize
    {
        private Timer _TimerUhr;

        #region IInitialize
        public void Initialize(object args)
        {
            _TimerUhr = new Timer(new TimerCallback(TimeElapsed), null, 0, 1000);
        }
        #endregion

        private void TimeElapsed(object state)
        {
            this.Out_NewTime(DateTime.Now);
        }

        #region NewTime
        public event Action<DateTime> Out_NewTime;
        #endregion
    }
}
