﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AB3.AppDesigner.DataTypes;
using AB3.Logging;

namespace AB3.AppDesigner.Logic
{
	public class NewDocumentPreparer
	{
		public void In_NewDocument()
		{
			Document tDocumentTemplate = new Document(string.Empty);
			tDocumentTemplate.Application = new AB3.DataTypes.AppDefinition();
			tDocumentTemplate.Application.ErrorLogger = new LogToNoWhere();
			tDocumentTemplate.Application.ProgressLogger = new LogToNoWhere();
			tDocumentTemplate.Application.BasicLogger = new LogToNoWhere();
			List<string> tLines = new List<string>();

			tLines.Add("FlowDefinition: MainFlow {");
			tLines.Add("");
			tLines.Add("\tRemark: FlowRemark {");
			tLines.Add("\t\tCaption = \"This is the main flow of the app (required!) }\"");
			tLines.Add("	Flow: [Flow1] => [CustomFlowName1]");
			tLines.Add("");
			tLines.Add("	Step: [Step1]");
			tLines.Add("");
			tLines.Add("	Wire: [SourceStept1].[SourcePin1] -> [TargetStep1].[TargetPin1]");
			tLines.Add("");
			tLines.Add("}");

			tDocumentTemplate.Lines = tLines.ToArray();

			this.Out_DocumentTemplate(tDocumentTemplate);
		}

		public event Action<Document> Out_DocumentTemplate;
	}
}
