﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AB3.DataTypes
{
	/// <summary>DataType to store all remarks of a flow
	/// </summary>
	public class FDLRemarks
	{
		/// <summary>Range of the remarks
		/// </summary>
		public FDLTextRange Range { get; set; }

		/// <summary>Remarks of the flow. Name is the key
		/// </summary>
		public Dictionary<string, FDLRemarkDefinition> Collection { get; set; }
		
		/// <summary>Creates new instance
		/// </summary>
		public FDLRemarks()
		{
			Range = new FDLTextRange();
			Collection = new Dictionary<string, FDLRemarkDefinition>();
		}
	}
}
