﻿using System;
using System.Windows.Data;

namespace AB3.AppDesigner.Converters
{
	[ValueConversion(typeof(string), typeof(string))]
	public class StringTrimConverter: IValueConverter
	{
		public static StringTrimConverter Instance = new StringTrimConverter();

		public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			return value.ToString().Trim();
		}

		public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
		{
			throw new NotImplementedException();
		}
	}
}
