﻿using System;
using AB3.DataTypes;
using AB3.Interfaces;

namespace AB3.AppDesigner.EventHandlers
{
	public class NewInEventHandler: IInitialize
	{
		public void Initialize(object args)
		{
			MainWindow.Instance.buttonNewIn.Click += buttonNewIn_Click;
		}

		private void buttonNewIn_Click(object sender, System.Windows.RoutedEventArgs e)
		{
			Out_Output(Directions.In);
		}

		public event Action<Directions> Out_Output;
	}
}
