﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AB3.AppDesigner.DataTypes;
using AB3.DataTypes;

namespace AB3.AppDesigner.Logic
{
	public class ChangeOneInterfaceDefinition
	{
		public void In_Input(string oldName, string newName, Directions direction)
		{
			FDLFlowDefinition tFlowDefinition = AppDefinitionCache.Value.FlowDefinitions[FlowDefinitionNameCache.Value];
			FDLInterfaceDefinition tInterfaceDefinition = tFlowDefinition.Interfaces.Collection[oldName];

			bool tPropertiesChanged = false;

			if (oldName != newName)
			{
				tFlowDefinition.Interfaces.Collection.Remove(tInterfaceDefinition.Name);
				tInterfaceDefinition.Name = newName;
				tFlowDefinition.Interfaces.Collection.Add(tInterfaceDefinition.Name, tInterfaceDefinition);
				tPropertiesChanged = true;
			}

			if (tInterfaceDefinition.Direction != direction)
			{
				tInterfaceDefinition.Direction = direction;
				tPropertiesChanged = true;
			}

			if (tPropertiesChanged)
				Out_Output(oldName, newName);
		}

		public event Action<string, string> Out_Output;
	}
}
