﻿using System;
using AB3.AppDesigner.DataTypes;
using AB3.DataTypes;

namespace AB3.AppDesigner.Logic
{
	public class ChangeOneRemarkDefinition
	{
		public void In_Input(FDLRemarkDefinition remarkDefinition, string newName, string newCaption)
		{
			FDLFlowDefinition tFlowDefinition = AppDefinitionCache.Value.FlowDefinitions[FlowDefinitionNameCache.Value];
			if (remarkDefinition.Name != newName)
			{
				tFlowDefinition.Remarks.Collection.Remove(remarkDefinition.Name);
				remarkDefinition.Name = newName;
				tFlowDefinition.Remarks.Collection.Add(remarkDefinition.Name, remarkDefinition);
			}

			if (remarkDefinition.Attributes.ContainsKey("Caption"))
				remarkDefinition.Attributes["Caption"].Value = newCaption;
			else
			{
				FDLAttribute tCaptionAttribute = new FDLAttribute();
				tCaptionAttribute.Name = "Caption";
				tCaptionAttribute.Value = newCaption;
				remarkDefinition.Attributes.Add(tCaptionAttribute.Name, tCaptionAttribute);
			}

			Out_Output();
		}

		public event Action Out_Output;
	}
}
