﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using AB3.AppDesigner.DataTypes;
using AB3.AppDesigner.EditWindows;
using AB3.DataTypes;

namespace AB3.AppDesigner.Logic
{
	public class EditFlowDefinition
	{
		public void In_Input()
		{
			if (AppDefinitionCache.Value.FlowDefinitions.ContainsKey(FlowDefinitionNameCache.Value))
			{
				FDLFlowDefinition tFlowDefinition = AppDefinitionCache.Value.FlowDefinitions[FlowDefinitionNameCache.Value];

				EditFlowDefinitionWindow tWindow = new EditFlowDefinitionWindow();
				tWindow.textBoxName.Text = tFlowDefinition.Name;
				tWindow.radioButtonNoChange.IsChecked = true;

				tWindow.Owner = MainWindow.Instance;
				tWindow.WindowStartupLocation = WindowStartupLocation.CenterOwner;
				bool? tResponse = tWindow.ShowDialog();

				if ((tResponse.HasValue) && (tResponse.Value == true))
				{
					if ((tWindow.radioButtonNoChange.IsChecked.HasValue) && (tWindow.radioButtonNoChange.IsChecked.Value))
						Out_OptionOneFlowDefinition(tFlowDefinition, tWindow.textBoxName.Text);
					else if ((tWindow.radioButtonAllChange.IsChecked.HasValue) && (tWindow.radioButtonAllChange.IsChecked.Value))
						Out_OptionAllFlowDefinitions(tFlowDefinition, tWindow.textBoxName.Text);			
				}				
			}
		}

		public event Action<FDLFlowDefinition, string> Out_OptionOneFlowDefinition;
		public event Action<FDLFlowDefinition, string> Out_OptionAllFlowDefinitions;
	}
}
