﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AB3.AppDesigner.DataTypes;

namespace AB3.AppDesigner.Presenters
{
	public class FilePresenter
	{
		private static bool _InInitialization = false;

		public static bool InInitialization
		{
			get { return _InInitialization; }
			set { _InInitialization = value; }
		}


		public void In_Input()
		{
			if (MainWindow.Instance.textEditor.CheckAccess())
			{
				_InInitialization = true;
				MainWindow.Instance.textEditor.Clear();
				MainWindow.Instance.textEditor.Text = string.Join(Environment.NewLine, FileContentCache.Value);
				_InInitialization = false;
			}
			else
				MainWindow.Instance.listViewExceptions.Dispatcher.Invoke(new Action(In_Input));
		}
	}
}
