﻿using System;
using System.Windows;
using System.Windows.Controls;
using AB3.AppDesigner.DataTypes;
using AB3.AppDesigner.EventHandlers;

namespace AB3.AppDesigner.RenderFlow
{
	public class FlowNameRenderer
	{
		public void In_Input()
		{
			if (!MainWindow.Instance.gridChart.CheckAccess())
			{
				MainWindow.Instance.gridChart.Dispatcher.Invoke(new Action(In_Input));
			}
			else
			{
				TextBlock tTextBlock = new TextBlock();
				tTextBlock.Text = FlowDefinitionNameCache.Value;
				tTextBlock.TextWrapping = TextWrapping.NoWrap;
				tTextBlock.HorizontalAlignment = HorizontalAlignment.Left;
				tTextBlock.VerticalAlignment = VerticalAlignment.Top;
				tTextBlock.FontSize = 14;
				tTextBlock.FontStyle = FontStyles.Italic;
				tTextBlock.FontWeight = FontWeights.Bold;
				tTextBlock.Opacity = 0.5;
				tTextBlock.Margin = new Thickness();
				tTextBlock.MouseDown += FlowNameTextBlockEventHandler.FlowNameTextBlock_MouseDown;
				MainWindow.Instance.gridChart.Children.Insert(0, tTextBlock);
			}
		}		
	}
}
