﻿
namespace AB3.DataTypes
{
	/// <summary>DataType to store an endpoint of a connection defined in FDL
	/// </summary>
	public class FDLConnector
	{
		/// <summary>The step of the connector
		/// </summary>
		public string Step { get; set; }

		/// <summary>The pin of the connector
		/// </summary>
		public string Pin { get; set; }

		/// <summary>Returns Step.Pin
		/// </summary>
		/// <returns>For example: StepA.PinZ</returns>
		public override string ToString()
		{
			return string.Concat(Step, ".", Pin);
		}
	}
}
