﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AB3.DataTypes;
using AB3.Interfaces;

namespace AB3.AppDesigner.EventHandlers
{
	public class ExceptionEventHandler: IInitialize
	{
		#region IInitialize
		public void Initialize(object args)
		{
			MainWindow.Instance.listViewExceptions.MouseDoubleClick += listViewExceptions_MouseDoubleClick;
		}
		#endregion

		#region Events from UI
		private void listViewExceptions_MouseDoubleClick(object sender, System.Windows.Input.MouseButtonEventArgs e)
		{
			if (MainWindow.Instance.listViewExceptions.SelectedItems.Count == 1)
			{
				FDLException tException = (FDLException)MainWindow.Instance.listViewExceptions.SelectedItem;

				this.Out_Output(tException);
			}
		}
		#endregion

		public event Action<FDLException> Out_Output;
	}
}
