﻿using System;
using AB3.DataTypes;
using AB3.Interfaces;

namespace AB3.AppDesigner.EventHandlers
{
	public class NewOutEventHandler: IInitialize
	{
		public void Initialize(object args)
		{
			MainWindow.Instance.buttonNewOut.Click += buttonNewOut_Click;
		}

		private void buttonNewOut_Click(object sender, System.Windows.RoutedEventArgs e)
		{
			Out_Output(Directions.Out);
		}

		public event Action<Directions> Out_Output;
	}
}
