﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AB3.AppDesigner.DataTypes;
using AB3.DataTypes;
using AB3.Interfaces;

namespace AB3.AppDesigner.EventHandlers
{
	public class UsageEventHandler: IInitialize
	{
		public void Initialize(object args)
		{
			MainWindow.Instance.listUsage.MouseDoubleClick += listUsage_MouseDoubleClick;
		}

		private void listUsage_MouseDoubleClick(object sender, System.Windows.Input.MouseButtonEventArgs e)
		{
			if (MainWindow.Instance.listUsage.SelectedItems.Count == 1)
			{
				FDLFlowDefinition tSelectedItem = MainWindow.Instance.listUsage.SelectedItem as FDLFlowDefinition;
				if (tSelectedItem != null)
				{
					FlowDefinitionNameCache.Value = tSelectedItem.Name;
					this.Out_Output();
				}
			}
		}

		public event Action Out_Output;
	}
}
