﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AB3.DataTypes;

namespace AB3.AppDesigner.Logic
{
	public class AppendPointAttributeToAppDefinition
	{
		public void In_Input(FDLWireDefinition wireDefinition, FDLAttribute pointAttribute)
		{
			// Find last point attribute
			int i = 0;

			while (wireDefinition.Attributes.ContainsKey(string.Concat("Point", ++i)))
			{ }

			pointAttribute.Name = string.Concat("Point", i);
			wireDefinition.Attributes.Add(pointAttribute.Name, pointAttribute);

			Out_Output();
		}

		public event Action Out_Output;
	}
}
