﻿using System;
using System.Collections.Generic;
using AB3.AppDesigner.DataTypes;

namespace AB3.AppDesigner.Logic
{
	public class NewFilePreparer
	{
		public void In_Input()
		{
			List<string> tLines = new List<string>();

			tLines.Add("FlowDefinition: MainFlow {");
			tLines.Add("");
			tLines.Add("\tRemark: FlowRemark {");
			tLines.Add("\t\tCaption = \"This is the main flow of the app (required!)\" Position = \"20,20\" Size = \"320,40\"  }");
			tLines.Add("\tStep: Step1 => CustomNameOfStep1 {");
			tLines.Add("\t\tPosition = \"20,80\" Size = \"100,50\" }");
			tLines.Add("\tStep: Step2 {");
			tLines.Add("\t\tPosition = \"240,80\" Size = \"100,50\" }");
			tLines.Add("\tWire: CustomNameOfStep1.Out_SourcePin -> Step2.In_TargetPin {");
			tLines.Add("\t\tCaption = \"WireCaption\" }");
			tLines.Add("}");

			FileNameCache.Value = string.Empty;
			FileContentCache.Value = tLines;
			Out_Output();
		}

		public event Action Out_Output;
	}
}
