﻿using System;
using System.Windows;
using AB3.DataTypes;

namespace AB3.AppDesigner.Logic
{
	public class RemoveRemarkDefinitionConfirmation
	{
		public void In_Input(FDLRemarkDefinition remarkDefinition)
		{
			string tMessageBoxText = string.Format("'{0}' will be removed permanently.", remarkDefinition.Name);
			MessageBoxResult tResult = MessageBox.Show(tMessageBoxText, "AB3.AppDesigner", MessageBoxButton.OKCancel, MessageBoxImage.Warning);

			if (tResult == MessageBoxResult.OK)
			{
				Out_Output(remarkDefinition);
			}
		}

		public event Action<FDLRemarkDefinition> Out_Output;
	}
}
