﻿using System;
using System.Collections.Generic;
using AB3.DataTypes;

namespace AB3.AppDesigner.Logic
{
	public class ResetWireAttributes
	{
		public void In_Input(FDLWireDefinition wireDefinition)
		{
			List<string> tKeysToRemove = new List<string>();

			foreach (string tAttributeName in wireDefinition.Attributes.Keys)
			{
				if (tAttributeName != "Caption")
					tKeysToRemove.Add(tAttributeName);
			}

			foreach (string tKeyToRemove in tKeysToRemove)
			{
				wireDefinition.Attributes.Remove(tKeyToRemove);
			}

			Out_Output();
		}

		public event Action Out_Output;
	}
}
