﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AB3.DataTypes;
using AB3.Helpers;

namespace AB3.AppDesigner.Presenters
{
	public class ExceptionOfFlowDefinitionPresenter
	{
		public void In_Input(FDLException exception)
		{
			if ((exception.LineNumber != 0) && (!string.IsNullOrEmpty(exception.LineString)))
			{
				MainWindow.Instance.textEditor.ScrollToLine(exception.LineNumber);
				int tLength = exception.LineString.Length;

				int tCheckLineNumber = 0;
				int tStartPosition = 0;

				while (tCheckLineNumber == 0)
				{
					tStartPosition = MainWindow.Instance.textEditor.Text.IndexOf(exception.LineString, tStartPosition);
					if (tStartPosition == -1)
						break;

					string tCheckString = MainWindow.Instance.textEditor.Text.Substring(0, tStartPosition);
					tCheckLineNumber = StringEx.CountInText(tCheckString, Environment.NewLine) + 1;
					if (tCheckLineNumber != exception.LineNumber)
					{
						tCheckLineNumber = 0;
						tStartPosition = tStartPosition + tLength;
					}
				}


				if (tStartPosition != -1)
					MainWindow.Instance.textEditor.Select(tStartPosition, tLength);
			}
			else
				MainWindow.Instance.textEditor.ScrollToHome();
		}
	}
}
