﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AB3.DataTypes;
using AB3.Interfaces;

namespace AB3.AppDesigner.Presenters
{
	public class UsagePresenter: IInitialize
	{
		public void In_Input(IEnumerable<FDLFlowDefinition> boardDefinitions)
		{
			MainWindow.Instance.listUsage.ItemsSource = boardDefinitions;
		}
		
		public void Initialize(object args)
		{
			MainWindow.Instance.listUsage.Items.SortDescriptions.Add(
				new System.ComponentModel.SortDescription("BoardName",
					System.ComponentModel.ListSortDirection.Ascending));
		}


	}
}
