﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AB3.AppDesigner.DataTypes;
using AB3.DataTypes;

namespace AB3.AppDesigner.Validators
{
	public class ValidateIfDuplicateWiresExist
	{
		public void In_Input()
		{
			Dictionary<string, FDLWireDefinition> tWireDefinitions;
			foreach (FDLFlowDefinition tFlowDefinition in AppDefinitionCache.Value.FlowDefinitions.Values)
			{
				tWireDefinitions = new Dictionary<string, FDLWireDefinition>();
				string tException;
				foreach (FDLWireDefinition tWireDefinition in tFlowDefinition.Wires.Collection)
				{
					if (tWireDefinitions.ContainsKey(tWireDefinition.ToString()))
					{
						FDLWireDefinition tReference = tWireDefinitions[tWireDefinition.ToString()];
						tException = string.Format("Duplicate wireDefinition detected (previous defined in line '{0}'", (tReference.LineNumber + 1).ToString());
						FDLException tEx = new FDLException(tException, tWireDefinition.LineNumber + 1, FileContentCache.Value[tWireDefinition.LineNumber]);
						AppDefinitionCache.Value.ParseExceptions.Add(tEx);
					}
					else
						tWireDefinitions.Add(tWireDefinition.ToString(), tWireDefinition);
				}
			}

			this.Out_Output();
		}

		public event Action Out_Output;
	}
}
