﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AB3.AppDesigner.DataTypes;
using AB3.DataTypes;

namespace AB3.AppDesigner.Validators
{
	public class ValidateIfStepNameIsDuplicate
	{
		public void In_Input(string value, List<string> exceptions)
		{
			FDLFlowDefinition tFlowDefinition = AppDefinitionCache.Value.FlowDefinitions[FlowDefinitionNameCache.Value];

			if (tFlowDefinition.Steps.Collection.ContainsKey(value.Trim()))
			{
				exceptions.Add("Name is in use! No duplicate names allowed.");
			}
			else
				Out_Output(value, exceptions);
		}

		public event Action<string, List<string>> Out_Output;
	}
}
