﻿using AB3.DataTypes;
using AB3.Steps;

namespace AB3.Flows
{
	/// <summary>Parses FDL Flows
	/// 
	/// </summary>
	public class FDLParseFlow
	{
		/// <summary>Start the parsing of the FDL
		/// </summary>
		/// <param name="app">AppDefinition to work with</param>
		public void In_Input(AppDefinition app)
		{
			FDLTabReplacer tTabReplacer = new FDLTabReplacer();
			FDLFlowDefinitionsParser tFlowParser = new FDLFlowDefinitionsParser();
			//FDLLRemarkDefinitionsParser tRemarksParser = new FDLRemarkDefinitionsParser();
			FDLStepDefinitionsParser tStepParser = new FDLStepDefinitionsParser();
			FDLInterfaceDefinitionsParser tInterfaceParser = new FDLInterfaceDefinitionsParser();
			FDLWireDefinitionsParser tWireParser = new FDLWireDefinitionsParser();
			//FDLAttributeDefinitionsParser tAttributeParser = new FDLAttributeDefinitionsParser();
			StepsEnd tStepsEnd = new StepsEnd("Finished loading the app definition.");

			//tTabReplacer.Out_Output += tFlowParser.In_Input;
			//tFlowParser.Out_Output += tRemarksParser.In_Input;
			//tRemarksParser.Out_Output += tStepParser.In_Input;
			//tStepParser.Out_Output += tInterfaceParser.In_Input;
			//tInterfaceParser.Out_Output += tWireParser.In_Input;
			//tWireParser.Out_Output += tAttributeParser.In_Input;
			//tAttributeParser.Out_Output += tStepsEnd.In_Input;

			tTabReplacer.Out_Output += tFlowParser.In_Input;
			tFlowParser.Out_Output += tStepParser.In_Input;
			tStepParser.Out_Output += tInterfaceParser.In_Input;
			tInterfaceParser.Out_Output += tWireParser.In_Input;
			tWireParser.Out_Output += tStepsEnd.In_Input;

			tTabReplacer.In_Input(app);
		}
	}
}
