﻿
namespace AB3.Logging
{
	/// <summary>Dummy implementation of ILogger. The message will be logged to nowhere!
	/// </summary>
	public class LogToNoWhere: ILogger
	{
		/// <summary>Logs a message to nowhere
		/// </summary>
		/// <param name="category"></param>
		/// <param name="message"></param>
		public void Log(Category category, string message)
		{ }

		/// <summary>Logs a message to nowhere
		/// </summary>
		/// <param name="message"></param>
		/// <param name="args"></param>
		public void LogInfo(string message, params string[] args)
		{ }

		/// <summary>Logs a message to nowhere
		/// </summary>
		/// <param name="message"></param>
		/// <param name="args"></param>
		public void LogWarning(string message, params string[] args)
		{ }

		/// <summary>Logs a message to nowhere
		/// </summary>
		/// <param name="message"></param>
		/// <param name="args"></param>
		public void LogError(string message, params string[] args)
		{ }
	}
}
