﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AB3.Patterns
{
	/// <summary>Convert a single item to a enumerable list
	/// </summary>
	/// <typeparam name="T">Type of item</typeparam>
	public class ConvertToEnumerable<T>
	{
		/// <summary>Input pin to start the convert
		/// </summary>
		/// <param name="item">Item to convert</param>
		public void SingleItem(T item)
		{
			List<T> tResult = new List<T>(new T[] { item });

			this.Enumerable(tResult);
		}

		/// <summary>Output pin of the enumarble list with single item
		/// </summary>
		public event Action<IEnumerable<T>> Enumerable;
	}
}
