﻿
namespace AB3.DataTypes
{
	/// <summary>DataType to store a single designes attribute
	/// </summary>
	public class FDLAttribute
	{
		/// <summary>Name of the attribute
		/// </summary>
		public string Name { get; set; }

		/// <summary>Value of the attribute
		/// </summary>
		public string Value { get; set; }

		/// <summary>Line number where the attribute was defined in FDL
		/// </summary>
		public int LineNumber { get; set; }

		/// <summary>Returns basic informations about the attribute like Name = 'MyName', Value = '007', LineNumber = 15
		/// </summary>
		/// <returns>Returns basic informations about the attribut</returns>
		public override string ToString()
		{
			return string.Concat("Name ='", Name, "', Value = '", Value, "', LineNumber =", LineNumber);
		}
	}
}
