﻿using System.Collections.Generic;

namespace AB3.DataTypes
{
	/// <summary>DataType to store all interfaces of a flow
	/// </summary>
	public class FDLInterfaces
	{
		/// <summary>Range of the interfaces
		/// </summary>
		public FDLTextRange Range { get; set; }

		/// <summary>Interfaces of the flow. Name is the key
		/// </summary>
		public Dictionary<string, FDLInterfaceDefinition> Collection { get; set; }

		/// <summary>Creates new instance
		/// </summary>
		public FDLInterfaces()
		{
			Range = new FDLTextRange();
			Collection = new Dictionary<string, FDLInterfaceDefinition>();
		}
	}
}
