﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AB3.Interfaces;

namespace AB3.AppDesigner.EventHandlers
{
	public class PartsEventHandler: IInitialize
	{
		public void Initialize(object args)
		{
			MainWindow.Instance.listViewParts.MouseDoubleClick += listViewParts_MouseDoubleClick;
		}

		private void listViewParts_MouseDoubleClick(object sender, System.Windows.Input.MouseButtonEventArgs e)
		{
			if (MainWindow.Instance.listViewParts.SelectedItems.Count == 1)
			{
				string tSelectedPart = (string)MainWindow.Instance.listViewParts.SelectedItem;
				Out_Output(tSelectedPart);
			}
		}

		public event Action<string> Out_Output;
	}
}
