﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AB3.AppDesigner.DataTypes;
using AB3.DataTypes;

namespace AB3.AppDesigner.Logic
{
	public class ChangeInterfaceWiresOfOwnFlowDefinition
	{
		public void In_Input(string oldName, string newName)
		{
			FDLFlowDefinition tFlowDefinition = AppDefinitionCache.Value.FlowDefinitions[FlowDefinitionNameCache.Value];

			foreach (FDLWireDefinition tWire in tFlowDefinition.Wires.Collection)
			{
				if ((tWire.Source.Step == "In") && (tWire.Source.Pin == oldName))
				{
					tWire.Source.Pin = newName;
				}
				else if ((tWire.Target.Step == "Out") && (tWire.Target.Pin == oldName))
				{
					tWire.Target.Pin = newName;
				}
			}

			Out_Output(oldName, newName);
		}

		public event Action<string, string> Out_Output;
	}
}
