﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AB3.AppDesigner.DataTypes;
using AB3.DataTypes;

namespace AB3.AppDesigner.Logic
{
	public class ChangeStepWiresOfOwnFlowDefinition
	{
		public void In_Input(StepChangeArgument arg)
		{
			FDLFlowDefinition tFlowDefinition = AppDefinitionCache.Value.FlowDefinitions[FlowDefinitionNameCache.Value];

			foreach (FDLWireDefinition tWire in tFlowDefinition.Wires.Collection)
			{
				if (tWire.Source.Step == arg.OldCustomName)
					tWire.Source.Step = arg.NewCustomName;
				else if (tWire.Target.Step == arg.OldCustomName)
					tWire.Target.Step = arg.NewCustomName;
			}

			Out_Output(arg);
		}

		public event Action<StepChangeArgument> Out_Output;
	}
}
