﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using AB3.AppDesigner.DataTypes;
using AB3.AppDesigner.EditWindows;
using AB3.DataTypes;

namespace AB3.AppDesigner.Logic
{
	public class EditRemarkDefinition
	{
		public void In_Input(FDLRemarkDefinition remarkDefinition)
		{
			EditRemarkWindow tWindow = new EditRemarkWindow();
			tWindow.textBoxName.Text = remarkDefinition.Name;

			if (remarkDefinition.Attributes.ContainsKey("Caption"))
				tWindow.textBoxCaption.Text = remarkDefinition.Attributes["Caption"].Value;
			else
				tWindow.textBoxCaption.Text = string.Empty;

			tWindow.Owner = MainWindow.Instance;
			tWindow.WindowStartupLocation = WindowStartupLocation.CenterOwner;
			bool? tResponse = tWindow.ShowDialog();
			if ((tResponse.HasValue) && (tResponse.Value == true))
			{
				Out_Output(remarkDefinition, tWindow.textBoxName.Text, tWindow.textBoxCaption.Text);
			}
		}

		/// <summary>RemarkDefinition, NewName, NewCaption
		/// </summary>
		public event Action<FDLRemarkDefinition, string, string> Out_Output;
	}
}
