﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AB3.AppDesigner.DataTypes;
using AB3.Interfaces;

namespace AB3.AppDesigner.Logic
{
	public class LastFileInitializer : IInitialize
	{
		public void Initialize(object args)
		{
			string tLastFileName = AppConfig.Instance.GetValueAsString("LastFileName");
			if (!string.IsNullOrEmpty(tLastFileName))
			{
				FileNameCache.Value = tLastFileName;
				Out_Output();
			}
		}

		public event Action Out_Output;
	}
}
