﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AB3.AppDesigner.DataTypes;
using AB3.DataTypes;

namespace AB3.AppDesigner.Logic
{
	public class NewStepPreparer
	{
		public void In_Input()
		{
			if (!string.IsNullOrEmpty(FlowDefinitionNameCache.Value))
			{
				if (AppDefinitionCache.Value.FlowDefinitions.ContainsKey(FlowDefinitionNameCache.Value))
				{
					FDLFlowDefinition tFlowDefinition = AppDefinitionCache.Value.FlowDefinitions[FlowDefinitionNameCache.Value];
										
					// Avoid duplicate name
					string tNewStepName = "NewStep";
					int i = 0;
					while (tFlowDefinition.Steps.Collection.ContainsKey(string.Concat(tNewStepName, (++i).ToString())))
					{ }

					FDLStepDefinition tNewStepDefinition = new FDLStepDefinition();
					tNewStepDefinition.TypeName = string.Concat(tNewStepName, i.ToString());
					tFlowDefinition.Steps.Collection.Add(tNewStepDefinition.TypeName, tNewStepDefinition);
					Out_Output();
				}
			}
		}

		public event Action Out_Output;
	}
}
