﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AB3.AppDesigner.DataTypes;
using AB3.Helpers;

namespace AB3.AppDesigner.Presenters
{
	public class TextOfFlowDefinitionPresenter
	{
		public void In_Input()
		{
			List<string> tSearchValues = new List<string>();
			tSearchValues.Add("FlowDefinition: " + FlowDefinitionNameCache.Value + " ");
			tSearchValues.Add("FlowDefinition:" + FlowDefinitionNameCache.Value + " ");
			tSearchValues.Add("FlowDefinition: " + FlowDefinitionNameCache.Value + "{");
			tSearchValues.Add("FlowDefinition: " + FlowDefinitionNameCache.Value + " {");
			tSearchValues.Add(FlowDefinitionNameCache.Value);

			int tPossiblePosition = GetLastIndex(MainWindow.Instance.textEditor.Text, tSearchValues);
			if (tPossiblePosition == -1)
				MainWindow.Instance.textEditor.ScrollToHome();
			else
			{
				//bool tFound = false;
				int tFlowDefinitionPosition = MainWindow.Instance.textEditor.Text.IndexOf(FlowDefinitionNameCache.Value, tPossiblePosition);

				if (tFlowDefinitionPosition != -1)
				{
					string tText = MainWindow.Instance.textEditor.Text.Substring(0, tPossiblePosition);
					int tLineNumer = StringEx.CountInText(tText, Environment.NewLine) + 1;
					MainWindow.Instance.textEditor.ScrollToLine(tLineNumer);
					MainWindow.Instance.textEditor.Select(tFlowDefinitionPosition, FlowDefinitionNameCache.Value.Length);
				}
			}
		}

		private int GetLastIndex(string text, IEnumerable<string> values)
		{
			int tPosition;

			foreach (string value in values)
			{
				tPosition = text.IndexOf(value);
				if (tPosition != -1)
					return tPosition;
			}

			return -1;
		}
	}
}
