﻿using System;
using AB3.AppDesigner.DataTypes;
using AB3.DataTypes;

namespace AB3.AppDesigner.Validators
{
	public class ValidateIfStepsAreDefinedAsFlow
	{
		public void In_Input()
		{
			foreach (FDLFlowDefinition tFlowDefinition in AppDefinitionCache.Value.FlowDefinitions.Values)
			{
				foreach (FDLStepDefinition tStepDefinition in tFlowDefinition.Steps.Collection.Values)
				{
					if ((!tStepDefinition.IsSubFlowStep) && (AppDefinitionCache.Value.FlowDefinitions.ContainsKey(tStepDefinition.TypeName)))
					{
						FDLException tEx = new FDLException("Flow is used as step",
							tStepDefinition.LineNumber + 1, FileContentCache.Value[tStepDefinition.LineNumber]);
						AppDefinitionCache.Value.ParseExceptions.Add(tEx);
					}
				}
			}

			Out_Output();
		}

		public event Action Out_Output;
	}
}
