﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace AB3.AppDesigner.Validators
{
	public class ValidateIfStringStartsWithNumeric
	{
		public void In_Input(string value, List<string> exceptions)
		{
			string tValue = value.Trim();
			if (!Char.IsLetter(tValue, 0))
			{
				if (tValue[0] != '_')
					exceptions.Add("Value starts with illegal character! Only letters are allowed.");
			}			
			else
				Out_Output(value, exceptions);
		}

		public event Action<string, List<string>> Out_Output;
	}
}
