﻿
namespace AB3.DataTypes
{
	/// <summary>DataType to store the range of a FDL
	/// </summary>
	public class FDLTextRange
	{
		/// <summary>Start line of range (Default = -1)
		/// </summary>
		public int StartLine { get; set; }

		/// <summary>End line of range (Default = -1)
		/// </summary>
		public int EndLine { get; set; }

		/// <summary>Creates new instance
		/// </summary>
		public FDLTextRange()
		{
			StartLine = -1;
			EndLine = -1;
		}
	}
}
