﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace AB3.DataTypes
{
	/// <summary>DataType to store all connection of a flow defined in FDL
	/// </summary>
	public class FDLWires
	{
		/// <summary>Range of the connections
		/// </summary>
		public FDLTextRange Range { get; set; }

		/// <summary>Connections of the flow
		/// </summary>
		public List<FDLWireDefinition> Collection { get; set; }

		/// <summary>Creates new instance
		/// </summary>
		public FDLWires()
		{
			Range = new FDLTextRange();
			Collection = new List<FDLWireDefinition>();
		}
	}
}
