﻿using System;
using System.Collections.Generic;
using System.Windows;
using AB3.AppDesigner.Helpers;
using AB3.DataTypes;

namespace AB3.AppDesigner.Converters
{
	public class PointToAttributesConverter
	{
		public void In_Input(string pointName, Point pointPosition, Dictionary<string, FDLAttribute> attributes)
		{
			FDLAttribute tPointAttribute = ChartHelper.GetPointAttribute(pointName, pointPosition.X, pointPosition.Y);
			if (attributes.ContainsKey(tPointAttribute.Name))
				attributes[tPointAttribute.Name] = tPointAttribute;
			else
				attributes.Add(tPointAttribute.Name, tPointAttribute);

			Out_Output();
		}

		public event Action Out_Output;
	}
}
