﻿using System;
using System.Collections.Generic;
using AB3.AppDesigner.Helpers;
using AB3.DataTypes;

namespace AB3.AppDesigner.Converters
{
	public class TargetEdgeToAttributesConverter
	{
		public void In_Input(string sourceEdge, Dictionary<string, FDLAttribute> attributes)
		{
			FDLAttribute tEdgeAttribute = ChartHelper.GetTargetEdgeAttribute(sourceEdge);
			if (attributes.ContainsKey(tEdgeAttribute.Name))
				attributes[tEdgeAttribute.Name] = tEdgeAttribute;
			else
				attributes.Add(tEdgeAttribute.Name, tEdgeAttribute);

			Out_Output();
		}

		public event Action Out_Output;
	}
}
