﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using AB3.AppDesigner.DataTypes;
using AB3.DataTypes;

namespace AB3.AppDesigner.Logic
{
	public class ChangeOneFlowStepDefinition
	{
		public void In_Input(FDLStepDefinition stepDefinition, string newTypeName, string newCustomName)
		{
			StepChangeArgument tStepChangeArgument = new StepChangeArgument();
			tStepChangeArgument.OldCustomName = stepDefinition.CustomName;
			tStepChangeArgument.OldTypeName = stepDefinition.TypeName;

			FDLFlowDefinition tFlowDefinition = AppDefinitionCache.Value.FlowDefinitions[FlowDefinitionNameCache.Value];
			tFlowDefinition.Steps.Collection.Remove(stepDefinition.CustomName);
			stepDefinition.TypeName = newTypeName;
			if (string.IsNullOrEmpty(newCustomName))
				stepDefinition.CustomName = stepDefinition.TypeName;
			else
				stepDefinition.CustomName = newCustomName;

			tFlowDefinition.Steps.Collection.Add(stepDefinition.CustomName, stepDefinition);

			tStepChangeArgument.NewCustomName = stepDefinition.CustomName;
			tStepChangeArgument.NewTypeName = stepDefinition.TypeName;

			Out_Output(tStepChangeArgument);
		}

		public event Action<StepChangeArgument> Out_Output;
	}
}
