﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows;
using AB3.AppDesigner.DataTypes;
using AB3.AppDesigner.EditWindows;
using AB3.DataTypes;

namespace AB3.AppDesigner.Logic
{
	public class EditSubFlowStepDefinition
	{
		public void In_Input(FDLStepDefinition stepDefinition)
		{
			EditSubFlowStepWindow tWindow = new EditSubFlowStepWindow();
			tWindow.textBoxTypeName.Text = stepDefinition.TypeName;
			if (stepDefinition.TypeName == stepDefinition.CustomName)
				tWindow.textBoxCustomName.Text = string.Empty;
			else
				tWindow.textBoxCustomName.Text = stepDefinition.CustomName;
			tWindow.radioButtonNoChange.IsChecked = true;

			tWindow.Owner = MainWindow.Instance;
			tWindow.WindowStartupLocation = WindowStartupLocation.CenterOwner;
			bool? tResponse = tWindow.ShowDialog();

			if ((tResponse.HasValue) && (tResponse.Value == true))
			{
				if ((tWindow.radioButtonNoChange.IsChecked.HasValue) && (tWindow.radioButtonNoChange.IsChecked.Value))
					Out_OptionOneFlowStepDefinition(stepDefinition, tWindow.textBoxTypeName.Text, tWindow.textBoxCustomName.Text);
				else if ((tWindow.radioButtonAllChange.IsChecked.HasValue) && (tWindow.radioButtonAllChange.IsChecked.Value))
					Out_OptionAllFlowStepDefinitions(stepDefinition, tWindow.textBoxTypeName.Text, tWindow.textBoxCustomName.Text);
			}
		}

		public event Action<FDLStepDefinition, string, string> Out_OptionOneFlowStepDefinition;
		public event Action<FDLStepDefinition, string, string> Out_OptionAllFlowStepDefinitions;
	}
}
