﻿using System;
using AB3.AppDesigner.DataTypes;
using AB3.DataTypes;

namespace AB3.AppDesigner.Logic
{
	public class NewFlowPreparer
	{
		public void In_Input()
		{
			if (!string.IsNullOrEmpty(FlowDefinitionNameCache.Value))
			{
				if (AppDefinitionCache.Value.FlowDefinitions.ContainsKey(FlowDefinitionNameCache.Value))
				{
					FDLFlowDefinition tFlowDefinition = AppDefinitionCache.Value.FlowDefinitions[FlowDefinitionNameCache.Value];

					// Avoid duplicate name
					string tNewFlowName = "NewFlow";
					int i = 0;
					while (AppDefinitionCache.Value.FlowDefinitions.ContainsKey(string.Concat(tNewFlowName, (++i).ToString())))
					{ }

					FDLStepDefinition tNewStepDefinition = new FDLStepDefinition();
					tNewStepDefinition.TypeName = string.Concat(tNewFlowName, i.ToString());
					tNewStepDefinition.IsSubFlowStep = true;
					tFlowDefinition.Steps.Collection.Add(tNewStepDefinition.TypeName, tNewStepDefinition);

					FDLFlowDefinition tNewFlowDefinition = new FDLFlowDefinition();
					tNewFlowDefinition.Name = tNewStepDefinition.TypeName;
					AppDefinitionCache.Value.FlowDefinitions.Add(tNewFlowDefinition.Name, tNewFlowDefinition);

					Out_Output();
				}
			}
		}

		public event Action Out_Output;
	}
}
