﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Windows.Controls;
using AB3.AppDesigner.DataTypes;

namespace AB3.AppDesigner.Presenters
{
	public class OpenPresenter
	{
		private Button _OpenButton;

		public OpenPresenter()
		{
			this._OpenButton = MainWindow.Instance.buttonOpen;
			this._OpenButton.Click += OpenButton_Click;
		}
		
		private void OpenButton_Click(object sender, System.Windows.RoutedEventArgs e)
		{
			Microsoft.Win32.OpenFileDialog tOpenFileDialog = new Microsoft.Win32.OpenFileDialog();
			//tOpenFileDialog.FileName = "AppBuilder V3 definitions";
			tOpenFileDialog.DefaultExt = ".ab3";
			tOpenFileDialog.Filter = "AppBuilder V3 definitions|*.ab3|All Documents|*.*";

			Nullable<bool> tDialogResult = tOpenFileDialog.ShowDialog();

			if (tDialogResult == true)
			{
				FileNameCache.Value = tOpenFileDialog.FileName;
				this.Out_Output();
			}
		}

		public event Action Out_Output;
	}
}
