﻿using System;
using AB3.AppDesigner.DataTypes;

namespace AB3.AppDesigner.RenderFlow
{
	public class StartRenderer
	{
		public void In_Input()
		{
			if (MainWindow.Instance.gridChart.CheckAccess())
			{
				MainWindow.Instance.gridChart.Children.Clear();
				ChartDefinitionCache.Value = new ChartDefinition();

				if (AppDefinitionCache.Value.FlowDefinitions.ContainsKey(FlowDefinitionNameCache.Value))
				{
					Out_Output();
				}
			}
			else
				MainWindow.Instance.gridChart.Dispatcher.Invoke(new Action(In_Input));
		}

		public event Action Out_Output;
	}
}
